<?php

// Jeśli nie przekazano szukanego łańcucha, nie można rozpocząć wyszukiwania
$drink = $_REQUEST['drink'];
if (empty($drink)) {
   $drink = 'TEA';
} else  {
    // Usuwanie odstępów z początku i końca łańcucha
    $search = trim($drink);

    switch($search) {
      case "TEA" :
         $result = "<h3>Gorąca herbata</h3><p>Zagotuj wodę. " .
                   "Zalej liście herbaty. Parz pięć minut. " .
                   "Po odcedzeniu można podawać.</p>";
         break;
      case "APPLETINI" :
         $result = "<h3>Appletini</h3><p>Wymieszaj w szklance z lodem 30 ml wódki " .
                   "i 15 ml Sour Apple Schnapps lub innego sznapsa jabłkowego. " .
                   "Przelej do kieliszka do martini. " .
                   "Udekoruj plasterkiem jabłka lub rodzynkami.</p>";
         break;
      case "NONCHAMP" :
         $result = "<h3>Szampan bezalkoholowy</h3><p>Wymieszaj 960 ml wody sodowej " .
                   "i 360 ml zmrożonego koncentratu " .         
                   "z białych winogron.</p>";
         break;
      case "SWMPMARGARITA" :
         $result = "<h3>Swamp Margarita</h3>" .
                   "<p>Wymieszaj 45 ml dobrej tequili, 22 ml Cointreau, " .
                   "22 ml Grand Marnier, 15 ml soku cytrynowego i 60 ml sour mix. " .  
                   "Schładzaj przez godzinę. Wrzuć na dno wysokiej szklanki kilka " .
                   "zielonych oliwek i wlej kilka kropel oliwy z oliwek. " .
                   "Wlej margeritę na oliwki i odczekaj dziesięć minut. " .
                   "Odcedź i podawaj z oliwkami na wykałaczkach nadziewanymi " .
                   "pieprzem angielskim.</p>";
         break;
      case "LEMON" :
         $result = "<h3>Kropla cytryny</h3><p>Wymieszaj 30 ml wódki cytrynowej " .
                   "z 30 ml soku cytrynowego i jedną łyżką cukru. Wymieszaj z lodem, " .
                   "odcedź i podawaj.</p>";
         break;
      default :
         $result = "Brak przepisu";
         break;
      }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Drinki</title>
<link rel="stylesheet" href="drink.css" type="text/css" media="screen" />
</head>
 <body> 
    <h1>Drinki</h1>

    <div id="drinkblock">
      <form action="" id="myform" method="get">
        <fieldset legend="drinks">
          <label for="drink">Wybierz drink:</label> <select
          name="drink" id="drink">
            <option value="TEA" <?php if ($drink == 'TEA') 
                                           printf('selected="selected"'); ?>>
              Gorąca herbata
            </option>

            <option
            value="APPLETINI" <?php if ($drink == 'APPLETINI') 
                                            printf('selected="selected"'); ?>>
              Appletini
            </option>

            <option value="NONCHAMP" <?php if ($drink == 'NONCHAMP') 
                                           printf('selected="selected"'); ?>>
              Szampan bezalkoholowy
            </option>

            <option
            value="SWMPMARGARITA" <?php if ($drink == 'SWMPMARGARITA') 
                                           printf('selected="selected"'); ?>>
              Swamp Margarita
            </option>

            <option
            value="LEMON" <?php if ($drink == 'LEMON') 
                                    printf('selected="selected"'); ?>>
              Kropla cytryny
            </option>
          </select> <input type="submit" value="Pobierz przepis" />
        </fieldset>
      </form>
    </div>

    <div id="drinkblock">
      <?php echo $result; ?>
    </div>
</body>
</html>
